Get It

Bergamot Monitoring 4.0.0, out next major release is currently at a beta stage. A full release is expected early May 2020. Please bare with us whilst this website is updated for the new release.

Demo

Feel free to log into our demo instance of Bergamot Monitoring: https://demo.bergamot-monitoring.org/ .

You will need to login with the username bergamot and the password Bergamot!123 this account has restricted permissions and does not have access to all the functionality of Bergamot Monitoring.

Container Images

Container images for Bergamot Monitoring can be found on Docker Hub: https://hub.docker.com/r/bergamotmonitoring .

Using containers should be by far the easiest way to deploy Bergamot Monitoring. We'll be updating the deployment guide soon.

Maven Repository

If you intend to build against any of the Bergamot Monitoring libraries you will need to add our Maven Repository to your POM.

<repositories>
    <repository>
        <id>snapshots</id>
        <url>http://nexus.intrbiz.net/nexus/content/repositories/snapshots</url>
        <snapshots>
            <enabled>true</enabled>
        </snapshots>
    </repository>
    <repository>
        <id>intrbiz</id>
        <name>Intrbiz</name>
        <url>http://nexus.intrbiz.net/nexus/content/repositories/releases</url>
    </repository>
</repositories>

<pluginRepositories>
    <pluginRepository>
        <id>snapshots</id>
        <url>http://nexus.intrbiz.net/nexus/content/repositories/snapshots</url>
        <snapshots>
            <enabled>true</enabled>
        </snapshots>
    </pluginRepository>
    <pluginRepository>
        <id>intrbiz</id>
        <name>Intrbiz</name>
        <url>http://nexus.intrbiz.net/nexus/content/repositories/releases</url>
    </pluginRepository>
</pluginRepositories>

Source Code

You can find the source code to Bergamot Monitoring on GitHub: https://github.com/intrbiz/bergamot

To build Bergamot Monitoring, you will need Java 8 JDK and Apache Maven. You can use the Eclipse Maven extensions to import the project into Eclipse. You will probably also want PostgreSQL 9.3 and RabbitMQ installed on your development machine.